com.io7m.jcanephora.renderstate

## Class JCGLColorBufferMaskingState.Builder

- java.lang.Object
- - com.io7m.jcanephora.renderstate.JCGLColorBufferMaskingState.Builder

- Enclosing class:
    JCGLColorBufferMaskingState

      public static final class JCGLColorBufferMaskingState.Builder
      extends Object

  Builds instances of type `JCGLColorBufferMaskingState`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCGLColorBufferMaskingState` | `build()` Builds a new `JCGLColorBufferMaskingState`.
    `JCGLColorBufferMaskingState.Builder` | `from(JCGLColorBufferMaskingStateType instance)` Fill a builder with attribute values from the provided `JCGLColorBufferMaskingStateType` instance.
    `JCGLColorBufferMaskingState.Builder` | `setAlpha(boolean alpha)` Initializes the value for the `alpha` attribute.
    `JCGLColorBufferMaskingState.Builder` | `setBlue(boolean blue)` Initializes the value for the `blue` attribute.
    `JCGLColorBufferMaskingState.Builder` | `setGreen(boolean green)` Initializes the value for the `green` attribute.
    `JCGLColorBufferMaskingState.Builder` | `setRed(boolean red)` Initializes the value for the `red` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final JCGLColorBufferMaskingState.Builder from(JCGLColorBufferMaskingStateType instance)

      Fill a builder with attribute values from the provided `JCGLColorBufferMaskingStateType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setRed

          public final JCGLColorBufferMaskingState.Builder setRed(boolean red)

      Initializes the value for the `red` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `red`.

      Parameters:
        `red` - The value for red
      Returns:
        `this` builder for use in a chained invocation

    - #### setGreen

          public final JCGLColorBufferMaskingState.Builder setGreen(boolean green)

      Initializes the value for the `green` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `green`.

      Parameters:
        `green` - The value for green
      Returns:
        `this` builder for use in a chained invocation

    - #### setBlue

          public final JCGLColorBufferMaskingState.Builder setBlue(boolean blue)

      Initializes the value for the `blue` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `blue`.

      Parameters:
        `blue` - The value for blue
      Returns:
        `this` builder for use in a chained invocation

    - #### setAlpha

          public final JCGLColorBufferMaskingState.Builder setAlpha(boolean alpha)

      Initializes the value for the `alpha` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `alpha`.

      Parameters:
        `alpha` - The value for alpha
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public JCGLColorBufferMaskingState build()

      Builds a new `JCGLColorBufferMaskingState`.
      Returns:
        An immutable instance of JCGLColorBufferMaskingState
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2016 <code@io7m.com> http://io7m.com